APIQr code
Duplicate a QR code
Creates a full copy of an existing QR code with a new ID. Images are copied independently, a new short URL is generated for dynamic QR codes, and all tags are carried over. Only the owner can duplicate their QR codes.
Authorization
bearerAuth AuthorizationBearer <token>
Authenticate with a Bearer token. Pass your API key in the Authorization header: Authorization: Bearer <your-api-key>
In: header
Path Parameters
id*string
QR code UUID to duplicate
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/qr-code/497f6eca-6276-4993-bfeb-53cbbbba6f08/duplicate"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "config": { "width": 0, "height": 0, "margin": 0, "image": "string", "imageOptions": { "hideBackgroundDots": true }, "dotsOptions": { "type": "dots", "style": { "type": "hex", "value": "string" } }, "cornersSquareOptions": { "type": "dot", "style": { "type": "hex", "value": "string" } }, "cornersDotOptions": { "type": "dot", "style": { "type": "hex", "value": "string" } }, "backgroundOptions": { "style": { "type": "hex", "value": "string" } } }, "content": { "type": "url", "data": { "url": "http://example.com", "isDynamic": true } }, "qrCodeData": "string", "previewImage": "string", "createdBy": "string", "shortUrl": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "shortCode": "strin", "name": null, "destinationUrl": "http://example.com", "qrCodeId": "8a619d64-dbe8-4c9d-9490-babe22a53a28", "customDomainId": null, "isActive": true, "createdBy": "string", "deletedAt": null }, "tags": []}{ "message": "string", "code": 0}{ "message": "string", "code": 0}{ "message": "string", "code": 0}{ "message": "string", "code": 0}